<html>
<head>
<title>WS2300 test page</title>
<script language="JavaScript" src="Charts/FusionCharts.js"></script>
</head>
<body>

<?php
require("locals.php");
require("ws2300.php");
require("fusiongadgets.php");

$version = "20070917.1";
echo "WS2300 PHP test<br>\n";
echo "Copyright  2007 Cosmin Buhu<br>\n";
echo "Version $version<br><br>\n"; 
echo "Please wait, reading data from station, will take a few seconds ...<br><br>\n\n";
ob_flush();
flush();
set_time_limit(0);
open_weatherstation("COM1");

if (reset_06() == false) 
	die("Can't find/reset WS2300 or another user is viewing it. Please retry later.");

flush_serial();

$rel_pressure = rel_pressure();
save_rel_pressure($rel_pressure);
$abs_pressure = abs_pressure();
save_abs_pressure($abs_pressure);
$temp_indoor = temperature_indoor(0);
save_temp_indoor($temp_indoor);
$temp_outdoor = temperature_outdoor(0);
save_temp_outdoor($temp_outdoor);
$hum_outdoor = humidity_outdoor();
save_hum_outdoor($hum_outdoor);
$hum_indoor = humidity_indoor();
save_hum_indoor($hum_indoor);
$windchill = windchill(0);
save_windchill($windchill);
$dewpoint = dewpoint(0);
save_dewpoint($dewpoint);
$windspeed = wind($windir);
save_windspeed($windspeed);
save_winddir($windir);
$rain_1h = rain_1h();
save_rain_1h($rain_1h);
$rain_24h = rain_24h();
save_rain_24h($rain_24h);
$rain_total = rain_total();
save_rain_total($rain_total);

tendency_forecast($tendency, $forecast);
if ($tendency == 0)
	echo 'Tendency <img src="./Data/steady.gif">';
else if ($tendency == 1)
	echo 'Tendency <img src="./Data/rising.gif">';
else if ($tendency == 2)
	echo 'Tendency <img src="./Data/falling.gif">';
echo "&nbsp;&nbsp;&nbsp;&nbsp;";
if ($forecast == 0)
	echo 'Forecast <img src="./Data/rainy.gif">';
else if ($forecast == 1)
	echo 'Forecast <img src="./Data/cloudy.gif">';
else if ($forecast == 2)
	echo 'Forecast <img src="./Data/sunny.gif">';
echo "<br>";

close_weatherstation();
?>
<table>
<th>Pressure relative (hPa)</th><th>Pressure absolute (hPa)</th><th>Wind speed (m/s)</th><th>Wind direction (deg)</th>
<tr>
	<td width="300">
		<div id="rel_pressure" align="center">Pressure relative</div>
		<script type="text/javascript">
			var rel_pressure = new FusionCharts("./Charts/AngularGauge.swf", "rel_pressureId", "300", "300", "0", "0");
			rel_pressure.setDataURL("./Data/rel_pressure.xml");
			rel_pressure.render("rel_pressure");
		</script>
	</td>
	<td width="300">
		<div id="abs_pressure" align="center">Pressure absolute</div>
		<script type="text/javascript">
			var abs_pressure = new FusionCharts("./Charts/AngularGauge.swf", "abs_pressureId", "300", "300", "0", "0");
			abs_pressure.setDataURL("./Data/abs_pressure.xml");
			abs_pressure.render("abs_pressure");
		</script>
	</td>
	<td width="300">
		<div id="windspeed" align="center">Windspeed</div>
		<script type="text/javascript">
			var windspeed = new FusionCharts("./Charts/HLinearGauge.swf", "myChartId", "300", "80", "0", "0");
			windspeed.setDataURL("./Data/windspeed.xml");
			windspeed.render("windspeed");
		</script>
	</td>
	<td width="300">
		<div id="winddir" align="center">Winddir</div>
		<script type="text/javascript">
			var winddir = new FusionCharts("./Charts/AngularGauge.swf", "winddirId", "300", "300", "0", "0");
			winddir.setDataURL("./Data/winddir.xml");
			winddir.render("winddir");
		</script>
	</td>
</tr>
</table>

<table>
<th>Temp. indoor (C)</th><th>Temp. outdoor (C)</th><th>Dewpoint (C)</th><th>Windchill (C)</th><th>Humidity indoor (%)</th><th>Humidity outdoor (%)</th>
<tr>
	<td width="150">
		<div id="temp_indoor" align="center">Temperature indoor</div>
		<script type="text/javascript">
			var temp_indoor = new FusionCharts("./Charts/Thermometer.swf", "temp_indoorId", "120", "280", "0", "0");
			temp_indoor.setDataURL("Data/temp_indoor.xml");
			temp_indoor.render("temp_indoor");
		</script>	
	</td>
	<td width="150">
		<div id="temp_outdoor" align="center">Temperature outdoor</div>
		<script type="text/javascript">
			var temp_outdoor = new FusionCharts("./Charts/Thermometer.swf", "temp_outdoorId", "120", "280", "0", "0");
			temp_outdoor.setDataURL("Data/temp_outdoor.xml");
			temp_outdoor.render("temp_outdoor");
		</script>		
	</td>
	<td width="150">
		<div id="dewpoint" align="center">Dewpoint</div>
		<script type="text/javascript">
			var dewpoint = new FusionCharts("./Charts/Thermometer.swf", "dewpointId", "120", "280", "0", "0");
			dewpoint.setDataURL("Data/dewpoint.xml");
			dewpoint.render("dewpoint");
		</script>		
	</td>
	<td width="150">
		<div id="windchill" align="center">Windchill</div>
		<script type="text/javascript">
			var windchill = new FusionCharts("./Charts/Thermometer.swf", "windchillId", "120", "280", "0", "0");
			windchill.setDataURL("Data/windchill.xml");
			windchill.render("windchill");
		</script>		
	</td>
	<td width="300">
		<div id="hum_indoor" align="center">Humidity indoor</div>
		<script type="text/javascript">
			var hum_indoor = new FusionCharts("./Charts/AngularGauge.swf", "hum_indoorId", "300", "300", "0", "0");
			hum_indoor.setDataURL("Data/hum_indoor.xml");
			hum_indoor.render("hum_indoor");
		</script>			
	</td>
	<td width="300">
		<div id="hum_outdoor" align="center">Humidity outdoor</div>
		<script type="text/javascript">
			var hum_outdoor = new FusionCharts("./Charts/AngularGauge.swf", "hum_outdoorId", "300", "300", "0", "0");
			hum_outdoor.setDataURL("Data/hum_outdoor.xml");
			hum_outdoor.render("hum_outdoor");
		</script>	
	</td>
</tr>
</table>

<table>
<th>Rain 1H (mm)</th><th>Rain 24H (mm)</th><th>Rain total (mm)</th>
<tr>
	<td width="150">
		<div id="rain_1h" align="center">Rain 1H</div>
		<script type="text/javascript">
			var rain_1h = new FusionCharts("./Charts/Cylinder.swf", "rain_1hId", "120", "280", "0", "0");
			rain_1h.setDataURL("Data/rain_1h.xml");
			rain_1h.render("rain_1h");
		</script>	
	</td>
	<td width="150">
		<div id="rain_24h" align="center">Rain 24H</div>
		<script type="text/javascript">
			var rain_24h = new FusionCharts("./Charts/Cylinder.swf", "rain_24hId", "120", "280", "0", "0");
			rain_24h.setDataURL("Data/rain_24h.xml");
			rain_24h.render("rain_24h");
		</script>	
	</td>
	<td width="150">
		<div id="rain_total" align="center">Rain total</div>
		<script type="text/javascript">
			var rain_total = new FusionCharts("./Charts/Cylinder.swf", "rain_totalId", "120", "280", "0", "0");
			rain_total.setDataURL("Data/rain_total.xml");
			rain_total.render("rain_total");
		</script>	
	</td>
</tr>
</table>

</body>
</html>